跳转到主要内容
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
active-snapshot
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/active-snapshot \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "baseId": "<string>",
  "edges": [
    {
      "source": "<string>",
      "target": "<string>"
    }
  ],
  "nodes": [
    {}
  ],
  "createdBy": "<string>",
  "createdTime": "<string>",
  "name": "<string>",
  "description": "<string>",
  "hasDraft": true,
  "isActive": true,
  "lastModifiedTime": "<string>",
  "lastModifiedBy": "<string>",
  "activeUser": {
    "id": "<string>",
    "name": "<string>",
    "email": "<string>",
    "avatar": "<string>"
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
workflowId
string
必填

响应

200 - application/json

The active snapshot of the workflow

id
string
必填

a unique identifier for the workflow

baseId
string
必填

the base id of the workflow

edges
object[]
必填

edges of the nodes

nodes
object[]
必填

nodes list include trigger and actions

createdBy
string
必填

created by user id

createdTime
string
必填

created time of the workflow

name
string

the name of the workflow

description
string

description of the workflow

hasDraft
boolean

has draft of the workflow

isActive
boolean

is active of the workflow

lastModifiedTime
string

last modified time of the workflow

lastModifiedBy
string

last modified by user id

activeUser
object

active user of the workflow

Last modified on March 5, 2026